> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List installed apps on a cluster



## OpenAPI

````yaml GET /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps
openapi: 3.0.3
info:
  title: KubernetesService API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/accounts/{accountId}/projects/{projectId}/kubernetes/{clusterId}/apps:
    get:
      tags:
        - KubernetesApps
      summary: List installed apps on a cluster
      parameters:
        - in: path
          name: accountId
          required: true
          schema:
            type: string
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: clusterId
          required: true
          schema:
            type: string
        - in: header
          name: x-user-id
          required: false
          schema:
            type: string
        - in: header
          name: x-kong-request-id
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            format: int64
        - in: query
          name: offset
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListInstalledAppsResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    ListInstalledAppsResponse:
      type: object
      properties:
        installed_apps:
          type: array
          items:
            $ref: '#/components/schemas/InstalledAppSummary'
        total_count:
          type: integer
          format: int64
        count:
          type: integer
          format: int64
      required:
        - installed_apps
        - total_count
        - count
    InstalledAppSummary:
      type: object
      properties:
        base:
          $ref: '#/components/schemas/InstalledAppBase'
        status:
          $ref: '#/components/schemas/InstalledAppStatus'
      required:
        - base
        - status
    InstalledAppBase:
      type: object
      properties:
        app_id:
          type: string
        cluster_id:
          type: string
        marketplace_app:
          $ref: '#/components/schemas/MarketplaceAppBase'
      required:
        - app_id
        - cluster_id
    InstalledAppStatus:
      type: string
      enum:
        - INSTALLED_APP_STATUS_UNSPECIFIED
        - INSTALLED_APP_STATUS_SUCCESS
        - INSTALLED_APP_STATUS_FAILURE
        - INSTALLED_APP_STATUS_STALLED
        - INSTALLED_APP_STATUS_DEPRECATED
        - INSTALLED_APP_STATUS_DELETING
        - INSTALLED_APP_STATUS_DELETED
    MarketplaceAppBase:
      type: object
      properties:
        app_name:
          type: string
        display_name:
          type: string
        description:
          type: string
        icon_url:
          type: string
        documentation_url:
          type: string

````